package test;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Component;

import com.bstek.dorado.annotation.DataProvider;
import com.bstek.dorado.annotation.DataResolver;

@Component
public class MyDataObjectTest {

	@DataProvider
	public List<MyDataObject> getAll() {
		MyDataObject myDataObject;
		List<MyDataObject> list = new ArrayList<MyDataObject>();

		myDataObject = new MyDataObject();
		myDataObject.setValue("p1", "row1-p1");
		myDataObject.setValue("p2", "row1-p2");
		myDataObject.setValue("p3", "row1-p3");
		list.add(myDataObject);

		myDataObject = new MyDataObject();
		myDataObject.setValue("p1", "row2-p1");
		myDataObject.setValue("p2", "row2-p2");
		myDataObject.setValue("p3", "row2-p3");
		list.add(myDataObject);

		return list;
	}

	@DataResolver
	public void save(List<MyDataObject> myDataObjects) {
		for (MyDataObject myDataObject : myDataObjects) {
			System.out.println(myDataObject.getValue("p1"));
		}
	}
}
